SDL_GetSensors(3)

NAME
SDL_GetSensors - Get a list of currently connected sensors.

HEADER FILE
Defined in SDL3/SDL_sensor.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_SensorID * SDL_GetSensors(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of sensors returned, may be NULL.

RETURN VALUE
( SDL_SensorID
 *) Returns a 0 terminated array of sensor instance IDs or NULL on failure; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.